Bug 1183626 - missing package "vdsm-hook-ethtool-options" in RHEV-H which is needed for setting up ethtool_opts
Summary: missing package "vdsm-hook-ethtool-options" in RHEV-H which is needed for set...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node-plugin-vdsm
Version: 3.5.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Douglas Schilling Landgraf
QA Contact: Martin Pavlik
URL:
Whiteboard: node
Depends On:
Blocks: 1044033 rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2015-01-19 10:48 UTC by Martin Pavlik
Modified: 2016-02-10 20:11 UTC (History)
12 users (show)

Fixed In Version: ovirt-node-plugin-vdsm-0.2.0-18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-12 14:01:02 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 37061 master MERGED spec: Add vdsm-hook-ethtool-options as req Never
oVirt gerrit 37063 ovirt-3.5 MERGED spec: Add vdsm-hook-ethtool-options as req Never

Description Martin Pavlik 2015-01-19 10:48:23 UTC
Description of problem:
package vdsm-hook-ethtool-options in RHEV-H therefore is not possible to utilise Network Custom Properties feature when using RHEV-H

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Hypervisor release 6.6 (20141218.0.el6ev)

How reproducible:
100%

Comment 1 Fabian Deutsch 2015-01-19 11:13:29 UTC
Looking at the el6 build it looks like vdsm and ethtool (this is missing a spec depencyn) are the only dependencies, can you confirm this, Dan?

Comment 2 Yaniv Lavi 2015-01-19 11:53:46 UTC
Doesn't look like a missing requirement or a blocker for 3.5.0.
Moving to 3.5.1 for consideration to how we want to support this.

Comment 3 Dan Kenigsberg 2015-01-19 13:19:45 UTC
Yes. All that is needed is to require vdsm-hook-ethtool-options.

Comment 4 Yaniv Lavi 2015-01-19 13:25:30 UTC
(In reply to Dan Kenigsberg from comment #3)
> Yes. All that is needed is to require vdsm-hook-ethtool-options.

Is there any impact to not including this package?

Comment 5 Fabian Deutsch 2015-01-19 14:14:21 UTC
Answering the needinfo, with a snippet form irc:

setting up ethtool_opts
rfe https://bugzilla.redhat.com/show_bug.cgi?id=1044033

Comment 7 Martin Pavlik 2015-01-26 14:59:39 UTC
VERIFIED

[root@rose08 ~]# rpm -qa | grep hook
vdsm-hook-vhostmd-4.16.8.1-6.el6ev.noarch
vdsm-hook-ethtool-options-4.16.8.1-6.el6ev.noarch
[root@rose08 ~]# cat /etc/redhat-release
Red Hat Enterprise Virtualization Hypervisor 6.6 (20150123.2.el6ev)


[root@localhost ~]# rpm -qa | grep hook
vdsm-hook-ethtool-options-4.16.8.1-6.el7ev.noarch
vdsm-hook-vhostmd-4.16.8.1-6.el7ev.noarch
[root@localhost ~]# cat /etc/redhat-release
Red Hat Enterprise Virtualization Hypervisor 7.0 (20150123.2.el7ev)
[root@localhost ~]# rpm -q vdsm
vdsm-4.16.8.1-6.el7ev.x86_64


Note You need to log in before you can comment on or make changes to this bug.